## cl-series 2.2.7-1

=== Makefile ===
install:
	cp -r s-code.lisp s-test.lisp s-package.lisp \
		RELEASE-NOTES s-install.lisp \
		ChangeLog series.asd \
		$(DESTDIR)/usr/share/common-lisp/source/series

=== debian/changelog ===
cl-series (1:2.2.7-1) unstable; urgency=low

  * New upstream
  * Fixed CVS directory in archive

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 12 Jan 2003 13:15:49 +0100

cl-series (1:2.2.5-6) unstable; urgency=low

  * Changed description to something more descent. Closes: #172119 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 10 Dec 2002 12:27:14 +0100

cl-series (1:2.2.5-5) unstable; urgency=low

  * Now uses asdf
  * Now uses the new CL package naming standard

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 15 Nov 2002 22:53:10 +0100

series (1:2.2.5-4) unstable; urgency=low

  * lintian fixes to standard version, changelog and build-depends 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 24 Apr 2002 20:29:19 +0200

series (1:2.2.5-3) unstable; urgency=low

  * Changed defconstant of a non-constant into defparameter.
    Closes: #136021

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 12 Mar 2002 09:31:19 +0100

series (1:2.2.5-2) unstable; urgency=low

  * Rebuild for dpkg-dev bugs.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Jul 2001 08:10:39 +0200

series (1:2.2.5-1) unstable; urgency=low

  * New upstream release.
  * Now with dh_link 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 27 Jun 2001 15:36:47 +0200

series (20010227-1) unstable; urgency=low

  * Now uses the common-lisp-controller framework.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 27 Feb 2001 20:07:55 +0100

series (20000909-1) unstable; urgency=low

  * new release of cmucl
  * New version of series (copyied from sourceforge) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  9 Sep 2000 08:59:45 +0200

series (19990702-2) unstable; urgency=low

  * Went to FSH. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  8 Oct 1999 07:45:23 +0200

series (19990702-1) unstable; urgency=low

  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  8 Sep 1999 20:21:45 +0200

series (19980610-1) unstable; urgency=low

  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  5 Apr 1999 14:32:57 +0200

series (19980604-2) unstable; urgency=low

  * New cmucl release.
  * Now dh-helper based.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Oct 1998 23:21:10 +0200

series (19980604-1) unstable; urgency=low

  * Fixed Bug#23379 : typo in description.
  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 11 Jun 1998 18:00:23 +0200

series (91-1) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 19 Apr 1998 22:23:20 +0200

=== debian/control ===
Source: cl-series
Section: devel
Priority: optional
Build-Depends-Indep: debhelper (>= 3.0.6)
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.5.6.0

Package: cl-series
Architecture: all
Depends: common-lisp-controller (>= 3.45), cl-asdf
Replaces: series
Conflicts: series
Description: A Common Lisp extension for general iterations
 This is an implementation of the series package as described
 in the Appendix of Common Lisp The Language (the book is available
 in the form of the the cltl package).
 .
 It was proposed as a more functional replacement for the
 build-in LOOP macro, but never gained the status of official
 standard.
 .
 In general this package can do almost all iteration constructs
 in an extensible way and produces quite fast optimised code.
 .
 This is an old package without upstream but stable and quite
 bugfree.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/series.sgml > series.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/series.
	$(MAKE) install DESTDIR=`pwd`/debian/cl-series


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
